Bug 28693 - Entfernen des Scalix-Schemas
Entfernen des Scalix-Schemas
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: LDAP
UCS 3.0
Other Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Arvid Requate
Drees Dormann
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-04 11:53 CEST by Moritz Muehlenhoff
Modified: 2014-11-26 06:54 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Cleanup
Max CVSS v3 score:


Attachments
test_user1.sh (391 bytes, text/plain)
2014-10-21 15:38 CEST, Arvid Requate
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Moritz Muehlenhoff univentionstaff 2012-10-04 11:53:17 CEST
Zu UCS 4.0 sollte schema/scalix.schema auf univention-ldap entfernt werden.

Im preup sollte geprüft werden, ob noch Scalix-Attribute/Objektklassen im LDAP vorhanden sind.
Comment 1 Arvid Requate univentionstaff 2014-10-21 15:38:23 CEST
Created attachment 6197 [details]
test_user1.sh

Fixed.

With the attached script I created a user with scalix attributes. When running univention-upgrade von testing.univention.de the update aborts with

ERROR: There are Scalix objectclasses present:
dn: uid=user1,dc=ar320i1,dc=qa
scalixScalixObject: TRUE
scalixMailnode: ou1,ou2
ERROR: The remaining scalix attributes need to be removed before update
Error: Please check "/var/log/univention/updater.log" for details.
ERROR: update failed. Please check /var/log/univention/updater.log
Comment 2 Drees Dormann univentionstaff 2014-11-04 12:40:59 CET
upgrade is canceled when scalix atributes are present

changelog ok

verified
Comment 3 Stefan Gohmann univentionstaff 2014-11-26 06:54:24 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".